#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
function check_arch()
{
case $(uname -m) in
x86_64|ia64)
echo "lib64"
;;
*)
echo "lib"
;;
esac
}
#
if [ -f /etc/dbus-1/system.d/hal.conf ]; then # FC6, SLED10
if [ ! -f /etc/dbus-1/system.d/hal.conf.multi-save ]; then
cp /etc/dbus-1/system.d/hal.conf /etc/dbus-1/system.d/hal.conf.multi-save
fi
if [[ -x /opt/userful/bin/umx-storage-update-hal-config.py ]]; then
/opt/userful/bin/umx-storage-update-hal-config.py /etc/dbus-1/system.d/hal.conf
chmod a+r /etc/dbus-1/system.d/hal.conf
fi
fi
if [[ -f /etc/PolicyKit/PolicyKit.conf ]]; then
if [[ ! -f /etc/PolicyKit/PolicyKit.conf.multi-save ]]; then
cp /etc/PolicyKit/PolicyKit.conf /etc/PolicyKit/PolicyKit.conf.multi-save
fi
if [[ -x /opt/userful/bin/umx-storage-update-polkit-config.py ]]; then
/opt/userful/bin/umx-storage-update-polkit-config.py /etc/PolicyKit/PolicyKit.conf
chmod a+r /etc/PolicyKit/PolicyKit.conf
fi
fi
#
LIB=$(check_arch)
if [ -f /usr/libexec/hal-storage-mount ]; then # FC6
ln -sf /opt/userful/bin/userful-storage-mount /usr/libexec/userful-storage-mount
ln -sf /opt/userful/bin/userful-storage-unmount /usr/libexec/userful-storage-unmount
ln -sf /opt/userful/bin/userful-storage-eject /usr/libexec/userful-storage-eject
elif [ -f /usr/$LIB/hal/hal-storage-mount ]; then # Kubuntu 7.04, Debian 4.0, SuSE11.0
ln -sf /opt/userful/bin/userful-storage-mount /usr/$LIB/hal/userful-storage-mount
ln -sf /opt/userful/bin/userful-storage-unmount /usr/$LIB/hal/userful-storage-unmount
ln -sf /opt/userful/bin/userful-storage-eject /usr/$LIB/hal/userful-storage-eject
elif [ -f /usr/$LIB/hal/scripts/hal-system-storage-mount ]; then # SLED 10 
ln -sf /opt/userful/bin/userful-storage-mount /usr/$LIB/hal/scripts/userful-storage-mount
ln -sf /opt/userful/bin/userful-storage-unmount /usr/$LIB/hal/scripts/userful-storage-unmount
ln -sf /opt/userful/bin/userful-storage-eject /usr/$LIB/hal/scripts/userful-storage-eject
fi
#
#
if [ -d /usr/$LIB/hal/scripts ]; then #
ln -sf /opt/userful/bin/multistation-storage-hotplug.sh /usr/$LIB/hal/scripts/multistation-storage-hotplug.sh
ln -sf /opt/userful/bin/multistation-camera-hotplug.sh /usr/$LIB/hal/scripts/multistation-camera-hotplug.sh
fi
