#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
#
#
logfile="/var/log/userful-start.log"
ACTION=$1
if [ "$HAL_METHOD_INVOKED_BY_UID" == "0" ]; then # root has invoked the current method.
exit 0
fi
PARENT_UDI="$HAL_PROP_INFO_PARENT"
ASSIGNED_SCREEN=`hal-get-property --udi "$PARENT_UDI" --key "info.screen"`
LOGIN_SCREEN=`cat /opt/userful/locks/screen.$HAL_METHOD_INVOKED_BY_UID`
if [ "$ASSIGNED_SCREEN" != "$LOGIN_SCREEN" ]; then
echo "`date +"%b %d %T"` Permission denied for $HAL_PROP_BLOCK_DEVICE, Invoker_uid=$HAL_METHOD_INVOKED_BY_UID" >> $logfile
exit 1
fi
echo "`date +"%b %d %T"` Permission allowd for $HAL_PROP_BLOCK_DEVICE, Invoker_uid=$HAL_METHOD_INVOKED_BY_UID" >> $logfile
exit 0
