#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
#
logfile="/var/log/userful-start.log"
ProgramName=`basename $0`
SCREEN_NUM=$1
SCREEN_NUM=${SCREEN_NUM##*:}
SCREEN_NUM=${SCREEN_NUM/.*}
ACTION=$2
CURRENT_USER=$3
SCREEN_STR="Srn:$SCREEN_NUM.0"
if [ "$ACTION" == "OPEN_SESSION" ]; then

for BLOCK_DEV in `grep $SCREEN_STR /etc/multiuserdevices | awk '{print $2}'`
do
echo "`date +"%b %d %T"` $ProgramName:(Login) Assign $BLOCK_DEV to `id -u $CURRENT_USER`, DISPLAY=:$SCREEN_NUM" >> $logfile
chown $CURRENT_USER $BLOCK_DEV 2> /dev/null
chmod 600 $BLOCK_DEV 2> /dev/null
chown $CURRENT_USER $BLOCK_DEV[1-9] > /dev/null 2>&1 # This is for flash device
chmod 600 $BLOCK_DEV[0-9] 2> /dev/null
done
for BLOCK_DEV in `grep Shared_by_All_Stations /etc/multiuserdevices | awk '{print $2}'`
do
chmod a+rw $BLOCK_DEV 2> /dev/null
chmod a+rw $BLOCK_DEV[0-9] 2> /dev/null
done
#
#
elif [ "$ACTION" == "CLOSE_SESSION" ]; then
if [ "$CURRENT_USER" != "root" ]; then
CURRENT_USER_ID=`id -u $CURRENT_USER`
for MOUNTED_DEV in `mount | grep "uid=$CURRENT_USER_ID" | awk '{print $1}'`
do
if [ "$MOUNTED_DEV" == "/dev/fd0" ]; then
TARGET_UDI=`hal-find-by-property --key "block.device" --string "$MOUNTED_DEV"`
dbus-send --system --dest=org.freedesktop.Hal $TARGET_UDI org.freedesktop.Hal.Device.Volume.Unmount array:string:
echo "`date +"%b %d %T"` $ProgramName:(Logout) Unmount $MOUNTED_DEV" >> $logfile
else
for TARGET_UDI in `hal-find-by-property --key "block.device" --string "$MOUNTED_DEV"`
do
INFO_CATEGORY=`hal-get-property --udi $TARGET_UDI --key "info.category"`
if [ "$INFO_CATEGORY" == "volume" ]; then
IS_DISC=`hal-get-property --udi $TARGET_UDI --key "volume.is_disc"`
if [ "$IS_DISC" == "true" ]; then
dbus-send --system --print-reply --type=method_call \
--dest=org.freedesktop.Hal $TARGET_UDI org.freedesktop.Hal.Device.Volume.Eject array:string:
echo "`date +"%b %d %T"` $ProgramName:(Logout) Eject $MOUNTED_DEV" >> $logfile
else
dbus-send --system --print-reply --type=method_call \
--dest=org.freedesktop.Hal $TARGET_UDI org.freedesktop.Hal.Device.Volume.Unmount array:string:
echo "`date +"%b %d %T"` $ProgramName:(Logout) Unmount $MOUNTED_DEV" >> $logfile
fi
fi
done
fi
done
for BLOCK_DEV in `grep $SCREEN_STR /etc/multiuserdevices | awk '{print $2}'`
do
chown root $BLOCK_DEV
chown root $BLOCK_DEV[1-9] > /dev/null 2>&1 # This is for flash device
done
fi # "$CURRENT_USER" != "root"
fi
